---
layout: page2
title: About nq4t.com
order: 8
---

nq4t.com is statically generated by <a href="https://jekyllrb.com/" target="_blank">jekyll</a> using a highly modified <a href="https://hyde.getpoole.com/" target="_blank">Hyde theme</a>. Both the liquid and CSS have been modified to work how I want. This included some complicated
changes to "related posts" as well as dealing with pages vs. posts and displaying tags, categories, and posts for each. Changes were also made to the sidebar rendering to
pick up only specific pages as well as the ordering. 

Pages are served up with nginx running on an Ubuntu 22.04 VM. The site is self-hosted in that my VPS is unmanaged by anyone but me. It's hosted in that the Xen based VM
lives on a machine in a datacenter. Hosting services are supplied by a private provider. The site source is stored on a self-hosted git instance and rendered by a githook.
Content not stored in the git (images, external files) are stored in an external folder and automatically symlinked in on site creation.

Pi-Star Dashboard is reverse proxied through nginx running at my QTH, with some security disabled to embed it. PiScrape also runs on the PiStar hardware, reverse proxied
the exact same way.

Email is hosted on a seperate dedicated VPS using [Mail-In-A-Box](https://mailinabox.email/). 

### QTH Infrastructure

Some things, like <a href="https://log.nq4t.com" target="_blank">log.nq4t.com</a>, are hosted at my QTH. Here I have <a href="/images/nq4tlab.jpg" target="_blank">3 Xen hypervisors</a> running various services related to my home internet. Most of these VM's are running
Alpine linux, however nginx runs on an Ubuntu based VM and pfSense is FBSD based. The home connection is a gigabit fiber connection which recently got IPv6 connectivity.
I also run an Asterisk server for traditional VoIP service, as well as trunks to HamsOverIP and Hamshack Hotline. Dual instances of pi-hole provide DNS for my entire 
network, with pfSense forcing all DNS activity to them. If you like <a href="/images/qthlab-dark.jpg" target="_blank">loads of blinking lights</a> and loud noises, it's perfect.

Pi-Star (and PiScrape) are running on a Raspberry Pi 3B+ on the wired network. It lives physically in the shack. 

I also host <a href="http://stats.allstarlink.org/stats/48032" target="_blank">AllStar Node 48032</a> here for the local club, <a href="https://w4ovh.net" target="_new">Ole Virginia Hams.</a> It serves as a hub for our repeaters, as well as allowing IAXRPT access for smartphone/PC voice
access to the repeaters. As I've often said, "I just feed it power and internet." I also reverse-proxy Supermon2 for management of the node. The system is largely managed by
our repeater guru, KE2N.

Uptime is maintained with the help of a 1000W/1500VA UPS. 

I use my standard PC/laptop in the shack for both general PC, gaming, and ham use. It is a Ryzen 7 4800H with 32GB RAM, currently running Windows 11.  
